Skip to content

List orders for the site

GET
/orders

Authorizations

bearerToken|siteContext
bearerToken

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

TypeHTTP (bearer)
+
siteContext

Identifier of the site context when authenticating with a personal access token.

TypeAPI Key (header: X-Nimbu-Site)
or
siteToken

Site-scoped API token that already encodes the site context.

TypeHTTP (bearer)

Responses

orders listed

application/json
JSON
[
{
"id": "string",
"state": "string",
"url": "string",
"created_at": "string",
"updated_at": "string",
"customer": {
},
"currency": "string",
"totals": {
},
"billing_address": {
},
"shipping_address": {
},
"shipping_method": "string",
"items": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"product_id": "string",
"product_name": "string",
"variant_id": "string",
"variant_name": "string",
"sku": "string",
"quantity": 0,
"price": 0,
"price_excl_tax": 0,
"vendor": "string",
"type": "string",
"deposit_amount": 0,
"extras": [
{
}
],
"group": "string"
}
],
"number": "string",
"paid": true,
"fulfilled": true,
"paid_at": "string",
"payment": {
},
"coupons": [
"string"
],
"expires_at": "string",
"comments": "string",
"invoice_note": "string",
"metadata": {
},
"cancel_reason": "string",
"shipment_tracking_code": "string",
"placed_at": "string",
"invoice_number": "string",
"credit_note_number": "string",
"digital": true,
"attachment_status": "string",
"attachments_with_warnings": true,
"attachments": [
{
}
]
}
]

Playground

Authorization

Samples

Part of Nimbu, built by Zenjoy.